<template name="vodComment">
	<view>
		<view class="banner">
			<dever-video
			:src="item.video" 
			:pic="item.pic" 
			:control="true"
			:index="0" 
			:vid="item.id" 
			:load.sync="load"
			:disabled="disabled"
			type="2"
			@play="play"
			ref="video"
			>
			</dever-video>
		</view>
		<block v-if="item.type == 2">
			<dever-comment ref="comment" :item="item" :type="`content/video_comment`" :type_id="item.id"></dever-comment>
		</block>
		<block v-if="item.type == 1">
			<dever-seat ref="seat" :item="item" :index="index" :type="`content/video_comment`" :type_id="item.id" @start="start" @stop="stop" @setDisabled="setDisabled"></dever-seat>
		</block>
	</view>
</template>

<script>
import deverVideo from '@/lib/dever/components/video.nvue';
import deverComment from "@/lib/dever/components/comment.vue";
import deverSeat from '@/lib/dever/components/seat.vue';
export default {
	name: "vodComment",
	props: {
		control : {
			type : Object,
			value : null
		},
		item : {
			type    : Object,
			value	: null
		},
		index : 0
	},
	data() {
		return {
			load : false,
			//默认不能播放
			disabled : true,
		}
	},
	mounted() {
		this.control[this.index] = this;
		if (this.item.type == 2) {
			this.disabled = false;
		} else {
			this.disabled = true;
		}
	},
	methods:{
		start : function() {
			this.$refs.video.start();
		},
		stop : function() {
			this.$refs.video.stop(true);
		},
		setDisabled : function(value) {
			this.disabled = value;
		},
		play : function(state, time) {
			if (this.item.type == 1) {
				var method = 'seat';
			} else {
				var method = 'comment';
			}
			if (state == 'start') {
				this.$refs[method].start();
			} else if (state == 'stop') {
				this.$refs[method].stop();
			} else if (state == 'time' && time) {
				this.$refs[method].time(time);
			}
		},
	},
	components:{
		deverVideo,deverComment,deverSeat
	}
}
</script>

<style>
.banner{
  position: relative;
  width: 750rpx;
  height: 422rpx;
  display: block;
}
</style>